import { type Renderable, type DefaultToastOptions, type ToastOptions } from './types';
declare type Message = Renderable;
declare type ToastHandler = (message: Message, options?: ToastOptions) => string;
declare const toast: {
    (message: Message, opts?: ToastOptions): string;
    error: ToastHandler;
    success: ToastHandler;
    loading: ToastHandler;
    custom: ToastHandler;
    dismiss(toastId?: string): void;
    remove(toastId?: string): void;
    promise<T>(promise: Promise<T>, msgs: {
        loading: Renderable;
        success: Renderable;
        error: Renderable;
    }, opts?: DefaultToastOptions): Promise<T>;
};
export default toast;
